<div class="flex flex-col flex-auto w-full" style="background-color:#F8F8F8;">

  <div class="container flex justify-between">
    <div class="flex items-center cursor-pointer" (click)="cancelBtn()"><mat-icon class="mt-6 mb-6 "
        style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-16"
        style="color: #0038FF;">Back</span></div>
    <div><mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
  </div>

  <div class="font-Semibold-40 font-141461 mt-7 mb-7" style="text-align:center !important;">
    <div>Redeem Bursa Gold Dinar</div>
  </div>


  <div class="flex flex-col items-center sm:justify-center min-w-0">
    <div class="w-full mx-auto mb-10 shadow bg-white box-width" style="width: 491px !important;box-shadow: 0px 0px 6px #0000001A;
    ">

      <div class="w-full sm:mx-0">
        <form [formGroup]="bgdRedeemConfirmForm" class="md:container md:mx-auto sm:px-3">

          <div class="flex flex-col sm:mx-20 sm:my-3">
            <div class="mt-2 font-medium text-2xl leading-none">
              <div class="form-group">

                <div>
                  <mat-form-field class="w-full  sm:mt-11" appearance="outline">
                    <mat-label>Recipient Name</mat-label>
                    <input matInput placeholder="Recipient Name" value="{{fullName}}" type="text" name="Recipient Name"
                      formControlName="fullName">
                  </mat-form-field>
                </div>

                <div>
                  <mat-form-field class="w-full" appearance="outline">
                    <mat-label>Phone Number</mat-label>
                    <input matInput placeholder="Phone Number" value="{{phoneNumber}}" type="text" name="Phone Number"
                      formControlName="phoneNumber">
                  </mat-form-field>
                </div>

                <div>
                  <mat-form-field class="w-full" appearance="outline">
                    <mat-label>Address Line 1</mat-label>
                    <input matInput placeholder="Address Line 1" value={{address1}} type="text" name="Address Line 1"
                      formControlName="address1" required [(ngModel)]="address1">
                  </mat-form-field>
                </div>

                <div>
                  <mat-form-field class="w-full" appearance="outline">
                    <mat-label>Address Line 2</mat-label>
                    <input matInput placeholder="Address Line 2" value={{address2}} type="text" name="Address Line 2"
                      formControlName="address2" [(ngModel)]="address2">
                  </mat-form-field>
                </div>

                <div>
                  <mat-form-field class="w-full" appearance="outline">
                    <mat-label>Postcode</mat-label>
                    <input matInput placeholder="Postcode" value={{postcode}} type="text" name="Postcode"
                      formControlName="postcode" [(ngModel)]="postcode" (input)="checkPostcode()" required>
                  </mat-form-field>
                  <!-- <span [style.font-size.px]="14" [style.color]="'red'" *ngIf="errorMessage" class="alert-message">
                    {{errorMessage}} </span> -->
                </div>

                <div>
                  <mat-form-field appearance="outline" class="fuse-mat-button-large w-full sm-1">
                    <mat-label>City</mat-label>
                    <input matInput placeholder="City" [(ngModel)]="town" value="{{town}}" type="text" name="City"
                      formControlName="town" required>
                    <!-- <mat-select formControlName="town" [(ngModel)]="town" placeholder="City">
                      <mat-option></mat-option>
                    </mat-select> -->
                  </mat-form-field>
                </div>

                <div>
                  <mat-form-field appearance="outline" class="fuse-mat-button-large w-full sm-1">
                    <mat-select formControlName="state" [(ngModel)]="stateCode" placeholder="State">
                      <mat-option *ngFor="let item of stateOption" [value]="item.code">{{item.name}}</mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>

                <!-- <p>
            <mat-form-field class="example-full-width" appearance="outline">
              <mat-label>Note to the Courier</mat-label>
              <input matInput placeholder="Note" type="text" name="Note"
                formControlName="note">
            </mat-form-field>
          </p> -->
                <div class="relative flex flex-col flex-auto items-center w-auto mb-7 mt-5">
                  <button class="fuse-mat-button-large w-full button-r5" [color]="'primary'" mat-flat-button
                    (click)="onSubmit()" [disabled]="bgdRedeemConfirmForm.disabled" [disabled]="disableButton">
                    <span *ngIf="!bgdRedeemConfirmForm.disabled" class="font-Semibold-14">Save</span>
                  </button>
                  <button class="fuse-mat-button-large w-full button-r5-white mt-3"
                    style="border:1px solid #0038FF !important;" mat-flat-button (click)="cancelBtn()">
                    <span class="font-Semibold-14" style="color: #0038FF; background-color: #F8F8F8;">Cancel</span>
                  </button>
                </div>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>